<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<link rel="stylesheet" type="text/css" href="src/node_modules/kaitek.km/dist/km.min.css"/>
	<script src="src/node_modules/kaitek.km/dist/km.js"></script>
</head>
<body>
	<script>
		var script = document.createElement('script');
		script.src = (document.baseURI?document.baseURI:'')+'socket.io/socket.io.js';
		var first = document.getElementsByTagName('script')[0];
		first.parentNode.insertBefore(script, first);

		window._electron_=require('electron');
		const ipc = window._electron_.ipcRenderer;
		let webFrame = window._electron_.webFrame;
		webFrame.setVisualZoomLevelLimits(1, 1);
		//webFrame.setLayoutZoomLevelLimits(0, 0);
		var t=this;
		window.d = {};
		d.dbg=true;
		d.alertTitle="DCS Client";
		window.app = new km.app({});
		app.win_device_kanban=new km.dcsclient.device_kanban({});
		var elf_cn_js_kanban=function(obj){
			app.win_device_kanban.trigger('cn_js_workflow', obj);
		};
		var elf_js_cn_kanban=function(obj){
			ipc.send("js_cn_workflow",obj);
			d.socket.emit("js_cn_workflow",obj);
		};
		app.on("cn_js_workflow", elf_cn_js_kanban,t);
		app.win_device_kanban.on('js_cn_workflow', elf_js_cn_kanban, t);
		app.win_device_kanban.on('afterdestroy', function(){
			app.mon("cn_js_workflow", elf_cn_js_kanban);
			delete app.win_device_kanban;
			app.win_device_kanban=false;
		});
		ipc.on('cn_js_workflow',function(e, arg){
			if(typeof window.app!=='undefined'){
				app.win_device_kanban.eventListener(arg);
			}
		});
		ipc.send('js_cn_workflow',{event:"init"});
		function init(){
			if(typeof io=='undefined'){
				window.setTimeout(init, 100);
			}else{
				d.socket = io(document.baseURI);
				d.socket.on('cn_js_workflow',function(arg){
					if(typeof window.app!=='undefined'){
						app.win_device_kanban.eventListener(arg);
					}
				});
				
				d.socket.on('connect', function(s){
					if(app.win_device_kanban.client){
						app.win_device_kanban.getAllRecords();
					}
				});			
			}
		};
		init();
	</script>
</body>
</html>
